cgGLGetProgramID(3)

NAME
cgGLGetProgramID - get the OpenGL program ID associated with a program

SYNOPSIS
  #include <Cg/cgGL.h>
  GLuint cgGLGetProgramID( CGprogram program );

PARAMETERS

program
    The program for which the OpenGL program ID will be retrieved.

RETURN VALUES
Returns a GLuint associated with the GL program object for profiles that use program object.

Returns 0 for profiles that do not have OpenGL programs (e.g. fp20).

DESCRIPTION
cgGLGetProgramID returns the identifier to the OpenGL program object associated with program. cgGLGetProgramID should not be called before cgGLLoadProgram is called.

EXAMPLES
to-be-written

ERRORS
CG_INVALID_PROFILE_ERROR is generated if program's profile is not a supported OpenGL profile.

CG_INVALID_PROGRAM_HANDLE_ERROR is generated if program is not a valid program handle.

HISTORY
cgGLGetProgramID was introduced in Cg 1.2.

SEE ALSO
cgGLLoadProgram, cgGLBindProgram